View Issue Details

IDProjectCategoryView StatusLast Update
0000417MetaPostbugpublic2010-10-19 10:13
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.211 
Target Version1.212Fixed in Version1.212 
Summary0000417: indirect readfrom makes a file path leak into the read string
DescriptionIt looks like the area string is still in the pool as 'current string' when the
readfrom data line is added to it. The problem does not happen with explicit
file names, only if the file name is itself contained in a string variable.
Steps To ReproduceA test like this (create the data file first, actual content is not important)

  string t;
  t = "datas/fichier.dat";
  show readfrom t;

produces:

This is MetaPost, version 1.211 (kpathsea version 6.0.0dev)
(./bug.mp
>> "datas/15" )
TagsNo tags attached.

Activities

Taco

2010-10-13 14:27

administrator   ~0000646

fixed in #1401 (only 1.2x, 1.5x did not have this bug)

Issue History

Date Modified Username Field Change
2010-06-14 19:48 Taco New Issue
2010-06-14 19:48 Taco Status new => assigned
2010-06-14 19:48 Taco Assigned To => Taco
2010-10-13 14:27 Taco Note Added: 0000646
2010-10-13 14:27 Taco Status assigned => resolved
2010-10-13 14:27 Taco Resolution open => fixed
2010-10-17 12:27 Taco Target Version => 1.212
2010-10-19 10:13 Taco Fixed in Version => 1.212
2010-10-19 10:13 Taco Status resolved => closed